## groovy.lang
Class GroovyRuntimeException

An exception thrown by the interpreter

author:
  James Strachan

version:
  $Revision: 8867 $

Field Summary
`ModuleNode` | `module`
`ASTNode` | `node`

Constructor Summary
`GroovyRuntimeException()`
`GroovyRuntimeException(String message)`
`GroovyRuntimeException(String message, ASTNode node)`
`GroovyRuntimeException(String message, Throwable cause)`
`GroovyRuntimeException(Throwable t)`

Method Summary
`String` | `getLocationText()`
`String` | `getMessage()`
`String` | `getMessageWithoutLocationText()`
`ModuleNode` | `getModule()`
`ASTNode` | `getNode()`
`void` | `setModule(ModuleNode module)`

Constructor Detail

### GroovyRuntimeException

    public GroovyRuntimeException()

### GroovyRuntimeException

    public GroovyRuntimeException(String message)

### GroovyRuntimeException

    public GroovyRuntimeException(String message, ASTNode node)

### GroovyRuntimeException

    public GroovyRuntimeException(String message, Throwable cause)

### GroovyRuntimeException

    public GroovyRuntimeException(Throwable t)

Method Detail

### getLocationText

    String getLocationText()

### getMessage

    public String getMessage()

### getMessageWithoutLocationText

    public String getMessageWithoutLocationText()

### getModule

    public ModuleNode getModule()

### getNode

    public ASTNode getNode()

### setModule

    public void setModule(ModuleNode module)